Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.atom.modules
Class AtomProtocol

    java.lang.Object
      org.exist.atom.modules.AtomModuleBase
          org.exist.atom.modules.AtomFeeds
              org.exist.atom.modules.AtomProtocol

All Implemented Interfaces:
  Atom, AtomModule

public class AtomProtocol
extends AtomFeeds
implements Atom

Author:
  R. Alexander Milowski

Nested Class Summary

Nested classes inherited from class org.exist.atom.AtomModule
`AtomModule.Context`

Field Summary
`static java.lang.String` | `FEED_DOCUMENT_NAME`
`static XmldbURI` | `FEED_DOCUMENT_URI`

Fields inherited from interface org.exist.atom.Atom
`ENTRY, FEED, MIME_TYPE, NAMESPACE, NAMESPACE_STRING, PUBLISHED, SUMMARY, TITLE, UPDATED`

Constructor Summary
`AtomProtocol()` Creates a new instance of AtomProtocol

Method Summary
`void` | `doDelete(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` | `doPost(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` | `doPut(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`static org.w3c.dom.Element` | `generateMediaEntry(java.lang.String id, java.lang.String created, java.lang.String title, java.lang.String filename, java.lang.String mimeType)`
`void` | `mergeEntry(Txn transaction, ElementImpl target, org.w3c.dom.Element source, java.lang.String updated)`
`void` | `mergeFeed(DBBroker broker, Txn transaction, ElementImpl target, org.w3c.dom.Element source, java.lang.String updated)`

Methods inherited from class org.exist.atom.modules.AtomFeeds
`doGet, doHead`

Methods inherited from class org.exist.atom.modules.AtomModuleBase
`init, process`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEED_DOCUMENT_NAME

    public static final java.lang.String FEED_DOCUMENT_NAME

See Also:
  Constant Field Values

### FEED_DOCUMENT_URI

    public static final XmldbURI FEED_DOCUMENT_URI

Constructor Detail

### AtomProtocol

    public AtomProtocol()

  Creates a new instance of AtomProtocol

Method Detail

### doPost

    public void doPost(DBBroker broker,
                       IncomingMessage request,
                       OutgoingMessage response)
                throws BadRequestException,
                       PermissionDeniedException,
                       NotFoundException,
                       EXistException

  Overrides:
    `doPost` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doPut

    public void doPut(DBBroker broker,
                      IncomingMessage request,
                      OutgoingMessage response)
               throws BadRequestException,
                      PermissionDeniedException,
                      NotFoundException,
                      EXistException

  Overrides:
    `doPut` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doDelete

    public void doDelete(DBBroker broker,
                         IncomingMessage request,
                         OutgoingMessage response)
                  throws BadRequestException,
                         PermissionDeniedException,
                         NotFoundException,
                         EXistException

  Overrides:
    `doDelete` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### mergeEntry

    public void mergeEntry(Txn transaction,
                           ElementImpl target,
                           org.w3c.dom.Element source,
                           java.lang.String updated)

### mergeFeed

    public void mergeFeed(DBBroker broker,
                          Txn transaction,
                          ElementImpl target,
                          org.w3c.dom.Element source,
                          java.lang.String updated)

### generateMediaEntry

    public static org.w3c.dom.Element generateMediaEntry(java.lang.String id,
                                                         java.lang.String created,
                                                         java.lang.String title,
                                                         java.lang.String filename,
                                                         java.lang.String mimeType)
                                                  throws javax.xml.parsers.ParserConfigurationException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.